Index: LMDZ5/branches/testing/libf/phylmd/cv_driver.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/cv_driver.F	(revision 1750)
+++ LMDZ5/branches/testing/libf/phylmd/cv_driver.F	(revision 1795)
@@ -9,7 +9,7 @@
      &                   icb1,inb1,
      &                   delt,Ma1,upwd1,dnwd1,dnwd01,qcondc1,wd1,cape1,
-     &                   da1,phi1,mp1,phi21,d1a1,dam1,sij1,clw1,elij1,
-     &                   evap1,ep1,epmlmMm1,eplaMm1,
-     &                   wdtrainA1,wdtrainM1)
+     &                   da1,phi1,mp1,phi21,d1a1,dam1,sij1,clw1,elij1,  ! RomP
+     &                   evap1,ep1,epmlmMm1,eplaMm1,                    ! RomP 
+     &                   wdtrainA1,wdtrainM1)                           ! RomP
 C
       USE dimphy
@@ -18,4 +18,8 @@
 C.............................START PROLOGUE............................
 C
+!
+! All argument names (except len,nd,ntra,nloc,delt and the flags) have a "1" appended.
+! The "1" is removed for the corresponding compressed (local) variables.
+!
 C PARAMETERS:
 C      Name            Type         Usage            Description
@@ -54,4 +58,22 @@
 C      wd1           Real           Output       downdraft velocity scale for sfc fluxes
 C      cape1         Real           Output       CAPE
+!    
+!      wdtrainA1     Real           Output   precipitation detrained from adiabatic draught;
+!                                                       used in tracer transport (cvltr)
+!      wdtrainM1     Real           Output   precipitation detrained from mixed draughts;
+!                                                       used in tracer transport (cvltr)
+!      da1           Real           Output   used in tracer transport (cvltr)
+!      phi1          Real           Output   used in tracer transport (cvltr)
+!      mp1           Real           Output   used in tracer transport (cvltr)
+!    
+!      phi21         Real           Output   used in tracer transport (cvltr)
+!    
+!      d1a1          Real           Output   used in tracer transport (cvltr)
+!      dam1          Real           Output   used in tracer transport (cvltr)
+!    
+!      evap1         Real           Output
+!      ep1           Real           Output
+!      sij1        Real           Output
+!      elij1         Real           Output
 C
 C S. Bony, Mar 2002:
@@ -119,6 +141,7 @@
       real epmlmMm1(len,nd,nd),eplaMm1(len,nd)
 ! RomP <<<
-
-
+!
+!-------------------------------------------------------------------
+!        Original Prologue by Kerry Emanuel.
 !-------------------------------------------------------------------
 ! --- ARGUMENTS
@@ -291,12 +314,4 @@
       real ments(nloc,klev,klev), qents(nloc,klev,klev)
       real sij(nloc,klev,klev), elij(nloc,klev,klev)
-! RomP >>>
-      real da(nloc,klev),phi(nloc,klev,klev),mp(nloc,klev)
-      real epmlmMm(nloc,klev,klev),eplaMm(nloc,klev)  
-      real phi2(nloc,klev,klev)
-      real d1a(nloc,klev), dam(nloc,klev)
-      real wdtrainA(nloc,klev),wdtrainM(nloc,klev)
-      real sigd(nloc)
-! RomP <<<
       real qp(nloc,klev), up(nloc,klev), vp(nloc,klev)
       real wt(nloc,klev), water(nloc,klev), evap(nloc,klev)
@@ -312,4 +327,13 @@
       real qcondc(nloc,klev)  ! cld
       real wd(nloc)           ! gust
+!
+! RomP >>>
+      real da(nloc,klev),phi(nloc,klev,klev),mp(nloc,klev)
+      real epmlmMm(nloc,klev,klev),eplaMm(nloc,klev)  
+      real phi2(nloc,klev,klev)
+      real d1a(nloc,klev), dam(nloc,klev)
+      real wdtrainA(nloc,klev),wdtrainM(nloc,klev)
+      real sigd(nloc)
+! RomP <<<
 
       nent(:,:)=0
@@ -380,4 +404,21 @@
         enddo
       endif
+
+! RomP >>> 
+       wdtrainA1(:,:)  =0.
+        wdtrainM1(:,:) =0.
+       da1(:,:)        =0.
+       phi1(:,:,:)     =0.
+       epmlmMm1(:,:,:) =0.
+       eplaMm1(:,:)    =0.
+       mp1(:,:)        =0.
+       evap1(:,:)      =0.
+       ep1(:,:)        =0.
+       sij1(:,:,:)     =0.
+       elij1(:,:,:)    =0.
+       phi21(:,:,:)    =0.
+       d1a1(:,:)       =0.
+       dam1(:,:)       =0.
+! RomP <<<
 
 !--------------------------------------------------------------------
@@ -729,3 +770,2 @@
       return
       end
-
